= content_for :title do
  = 'Posts'

= link_to 'New Post', new_post_path, class: 'btn btn-primary my-2'

/ <%= search_form_for @q do |f| %>

/   # Search if the name field contains...
/   <%= f.label :name_cont %>
/   <%= f.search_field :name_cont %>

/   # Search if an associated articles.title starts with...
/   <%= f.label :articles_title_start %>
/   <%= f.search_field :articles_title_start %>

/   # Attributes may be chained. Search multiple attributes for one value...
/   <%= f.label :name_or_description_or_email_or_articles_title_cont %>
/   <%= f.search_field :name_or_description_or_email_or_articles_title_cont %>

/   <%= f.submit %>
/ <% end %>

.p-3.bg-light
  / BEGIN
  = search_form_for @q do |f|
    = f.input :title_cont
    = f.input :aasm_state_eq
    = f.submit
  / END

table.table.table-striped.table-hover.mb-5
  thead
    tr
      th{ scope: :col } #
      th{ scope: :col } Title
      th{ scope: :col } State
      th

  tbody
    - @posts.each_with_index do |post, i|
      tr
        th{ scope: :col } = i + 1
        td = post.title
        td = post.aasm.current_state
        td.d-flex
          .me-4 = link_to 'Show', post
          .me-4 = link_to 'Edit', edit_post_path(post)
          = link_to 'Destroy', post, data: { confirm: 'Are you sure?' }, method: :delete

= link_to 'New Post', new_post_path, class: 'btn btn-primary'
